/* 
 * StivinfGPS mobile browser viewer
 * Stivinf Bt.
 * 2023.09.07
 */

@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@100;200;300;400;500;600&display=swap');

/*
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
*/


/* Googlefont Montserrat CDN Link */

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root {
    /* --bg-color: #3E8DA8; */
    /* --bg-color: #080808; */
    /* --bg-color: #404040; */
    /* --header-bg-color: #4a5459; */
    --header-bg-color: cadetblue;
    --header-fore-color: #ffffff;
    --even-row: #fafafa;
    --odd-row: #ffffff;
    /*
    height: 100%;
   */
}

* {
    font-family: Montserrat, "Helvetica Neue", sans-serif;
    
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    touch-action: manipulation;
}

*:before,
*:after {
    box-sizing: border-box;
}

html {
    height: 99.9%;
    font-size: 100%;
    view-transition-name: root;
    display: block;
}

body {
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: none;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -moz-user-select: none;
    -webkit-user-select: none;
    -moz-focus-inner: none;
    height: 99.9%;

    /* min-height: 100vh; */
    min-height: 100dvh;
    
    position: absolute;
    width: 100%;
    max-width: 100%;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    overflow: hidden;
    font-weight: 500;
}



input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  border: none;
  -webkit-text-fill-color: black;
  -webkit-box-shadow: 0 0 0px 1000px #ddd inset;
  -webkit-font-feature-settings: normal;
  transition: background-color 5000s ease-in-out 0s;
}
/* online marker labels */

.CarLabelStopped {
    display: flex;
    justify-items: center;
    align-items: center;
    padding: 2px 4px;
    border-radius: 6px;
}

.CarLabelStoppedMode0 {
    /* áll, régebbi  mint 2 óra */
    background-image: linear-gradient(to bottom, #666666, #222222);
    border: 1px solid #222222;
}

.CarLabelStoppedMode1 {
    /* áll, hibernált */
    background-image: linear-gradient(to bottom, orange, orangered);
    border: 1px solid orangered;
}

.CarLabelStoppedMode2 {
    /* áll, kevés hold */
    background-image: linear-gradient(to bottom, red, darkred);
    border: 1px solid darkred;
}

.CarLabelStoppedMode6 {
    /* áll, gyújtás be */
    background-image: linear-gradient(to bottom, white, lightgreen);
    border: 1px solid green;
}

.CarLabelStoppedMode7 {
    /* áll, gyújtás ki */
    background-image: linear-gradient(to bottom, blue, darkblue);
    border: 1px solid darkblue;
}

.CarLabelStoppedMode8 {
    /* áll, gyújtás ismeretlen */
    background-image: linear-gradient(to bottom, lightgray, gray);
    border: 1px solid gray;
}

.CarLabelMoved {
    display: flex;
    justify-items: center;
    align-items: center;
    outline: none;
    border-radius: 6px;
    padding: 2px 4px;
    margin-bottom: 74px;
}

.CarLabelMovedMode3 {
    /* Mozog, gyújtás be */
    background-image: linear-gradient(to bottom, green, darkgreen);
    border: 1px solid darkgreen;
}

.CarLabelMovedMode4 {
    /* Mozog, gyújtás ki */
    background-image: linear-gradient(to bottom, cyan, darkcyan);
    border: 1px solid darkcyan;
}

.CarLabelMovedMode5 {
    /* Mozog, gyújtás ismeretlen */
    background-image: linear-gradient(to bottom, gray, darkgray);
    border: 1px solid darkgray;
}


/* TOGGLE SWITCH */

.toggle {
    cursor: pointer;
    display: inline-block;
}

.toggle-switch {
    display: inline-block;
    background: #ccc;
    border-radius: 16px;
    width: 58px;
    height: 32px;
    position: relative;
    vertical-align: middle;
    transition: background 0.25s;
}

.toggle-switch:before,
.toggle-switch:after {
    content: "";
}

.toggle-switch:before {
    display: block;
    background: linear-gradient(to bottom, #fff 0%, #eee 100%);
    border-radius: 50%;
    box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.25);
    width: 24px;
    height: 24px;
    position: absolute;
    top: 4px;
    left: 4px;
    transition: left 0.25s;
}

.toggle:hover .toggle-switch:before {
    background: linear-gradient(to bottom, #fff 0%, #fff 100%);
    box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.5);
}

.toggle-checkbox:checked+.toggle-switch {
    background: #56c080;
}

.toggle-checkbox:checked+.toggle-switch:before {
    left: 30px;
}

.toggle-checkbox {
    position: absolute;
    visibility: hidden;
}


/* Általános nézet */

.page {
    width: 100%;
    position: absolute;
    height: 100dvh;
    /* Use vh as a fallback for browsers that do not support Custom Properties */
    /* height: calc(var(--vh, 1vh) * 100); */
    overflow: hidden;
}

.page .header {
    background-color: var(--header-bg-color);
    color: var(--header-fore-color);
    display: grid;
    width: 100%;
    text-align: center;
    align-items: center;
    font-size: 1.5rem;
    justify-items: center;
    /* z-index: 30000 !important; */
    border-bottom: 1px solid gray;
}

.page .hicon {
    border: 2px solid white;
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}






.page .onmap-icon {
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    border: 2px solid white;
    
    background-color: green;
    color: white;
    
}

.page .hicon:hover {
    background-color: var(--header-fore-color);
    color: var(--header-bg-color);
}

.page .header label {
    font-size: 14px;
}


/* Várakozó nézet */

.page-wait {
    position: absolute;
    opacity: 1;
    /*
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 50vw;
    
    */
    background-color: black;
    
    transition: opacity 1s ease;
}


/* Térkép nézet */

.c-online-signer {
    position: fixed;
    width: 8px;
    top: 0;
    right: 0;
    height: 8px;
    background-color: greenyellow;
    margin: 3px;
    border-radius: 50%;
    z-index: 10000;
}

.page-map {
    display: grid;
    grid-template-rows: 60px calc(100dvh - 60px) 0px 0px;
    opacity: 0;
    transition: opacity 0.5s ease;
    transition: grid-template-rows 0.5s ease-in-out;

    #id-clear-history {
        position: fixed;
        font-size: 1.5rem;
        bottom: 20px;
        z-index: 100;
        left: 20px;
        background-color: red;
        color: white;
        width: 50px !important;
        height: 50px !important;
        display: none;
    }
}

.page-map .header {
    grid-template-columns: 50px 50px auto 50px 50px;
    
}

.icons {
    display: flex;
    border: 2px solid white;
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    i {
        transition: opacity .3s, transform .3s;
        /*
        transform: rotate(0deg) ;
        
        position: absolute;
        top: 0;
        left: 0;

        display: block;
        */
    }
    /*
    .icon-default {
        transition: opacity .3s, transform .3s;
    }

    .icon-hover {
        transition: opacity .3s, transform .3s;
        transform: rotate(-90deg);
        opacity: 0;
    }
    */
}
.icons:hover {
    /*
    transform: scale(1.2);
    box-shadow:  20px 15px rgba(0,0,0,0.15);
    */
    i {
        /*
        transform: rotate(90deg) ;
        */
    }
    
}




.page-map .header #id-head-rsz {
    line-height: 1rem;
}

.page-map .header #id-head-rsz #id-head-rsz1 label {
    font-weight: bold;
}

.page-map .header #id-head-rsz #id-head-rsz2 label {
    font-size: 12px;
}

.page-map #map {
    width: 100%;
    height: 100%;
}


/* INFO FREGMENT */

.page-map .info-fragment-header {
    display: grid;
    width: 100%;
    height: 60px;
    grid-template-columns: 50px auto 40px;
    align-items: center;
    padding: 10px;
    background-color: var(--header-bg-color);
    color: var(--header-fore-color);
}

.info-fregment-header-title .title-row1 {
    font-size: 120%;
    font-weight: bold;
}

.info-fregment-header-title .title-row2 {
    font-size: 90%;
}

.info-fregment-header-logo {
    display: flex;
    align-items: center;
}

.page-map .info-fragment-header .info-fregment-header-close {
    font-size: 1.5rem;
}

.page-map .info_fregment_body {
    width: 100%;
    padding: 0;
    margin: 0;
    line-height: 1.2rem;
    background-color: white;
    color: #222222;
    /* font-weight: 300; */
    max-height: calc(50dvh - 60px);
    overflow-y: auto;
}

.page-map .info_fregment_body .row {
    width: 100%;
    padding: 0.5rem;
    margin: 0;
    border-bottom: 1px #ddd solid;
    white-space: nowrap;
}

.page-map .info_fregment_body .row-wrap {
    width: 100%;
    padding: 0.5rem;
    margin: 0;
    border-bottom: 1px #ddd solid;
    white-space: normal;
}

.page-map .info_fregment_body .row div:first-child {
    margin-right: 5px;
}

.page-map .info_fregment_body .row_5050 {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.ifb-title {
    display: grid;
    grid-template-columns: 24px auto;
    align-items: center;
}

.ifb-col2 {
    font-weight: 400;
}

.ifb-only-super {
    font-weight: 700;
}

/*
.page-map .info_fregment_body .row i,
.page-map .info_fregment_body .row-wrap i {
    margin-right: 10px;
    width: 20px;
}
*/

.nowrap {
    white-space: nowrap;
}

.normal {
    white-space: normal;
}

.tright {
    text-align: right;
}


/* Vélasztható járművek nézet */

.page-cars {
    display: grid;
    grid-template-rows: 60px 80px auto;
    opacity: 0;
    transition: opacity 1s ease;
}

.page-cars .header {
    grid-template-columns: 50px auto 50px;
}

.page-cars .header #id-head-cont {
    line-height: 1rem;
}

.page-cars .header #id-head-cont #id-head-cont1 label {
    font-weight: bold;
}

.page-cars .header #id-head-cont #id-head-cont2 label {
    font-size: 12px;
}

.page-cars .carsSearch {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    border-bottom: 1px #eee solid;
    align-items: center;
}

.page-cars .carsSearch #id-searchBox {
    display: grid;
    align-items: center;
    width: 100%;
    grid-template-columns: 50px auto 50px;
    margin: 10px;
    border: 1px #eee solid;
    padding: 10px;
    border-radius: 30px;
    font-size: 1.5rem;
    background-color: #efefef;
}

.page-cars .carsSearch #id-searchBox div {
    text-align: center;
    color: #666;
}

.page-cars .carsSearch #id-searchBox div input {
    width: 100%;
    font-size: 1.5rem;
    border: none;
    outline: none;
    background-color: #efefef;
}

#id-search-xmark {
    display: none;
}


/* CAR LIST VIEW */

.page-cars #carsList {
    overflow-y: auto;
}

.carslist-row {
    display: grid;
    grid-template-columns: 40px 100px 20px auto 60px;
    width: 100%;
    align-items: center;
    border-bottom: 1px #eee solid;
    padding: 0 10px;
    height: 60px;
    white-space: nowrap;
}

.even {
    background-color: var(--even-row);
}

.odd {
    background-color: var(--odd-row);
}

.carslist-row-logo {
    display: flex;
    justify-items: center;
    align-items: center;
}

.carslist-row-logo img {
    border: none;
    outline: none;
    width: 30px;
    height: 30px;
}

.carslist-row-rsz {
    width: 100%;
    display: flex;
    align-items: center;
}

.carslist-row-rsz label {}

.carslist-row-rsz label:hover {}

.sbutton {
    width: 100%;
    text-align: center;
    font-size: 16px;
    padding: 5px;
    background-color: #eee;
    border-radius: 5px;
    white-space: nowrap;
    text-overflow: ellipsis;
    border: 1px solid #ddd;
    box-shadow: 2px 2px 2px #aaa;
}

.sbutton:hover {
    box-shadow: unset;
}

.carslist-row-kovetett {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
}

.carslist-row-kovetett label {
    color: orange;
    font-size: 0.8rem;
}

.carslist-row-tulaj {
    width: 100%;
    display: flex;
    align-items: center;
    max-height: 60px;
}

.carslist-row-tulaj label {
    font-size: 12px;
    white-space: normal;
    text-overflow: ellipsis;
    padding-right: 5px;
}


/* Settings PAGE */

.page-settings {
    display: grid;
    grid-template-rows: 60px auto;
    opacity: 0;
    transition: opacity 1s ease;
}

.page-settings .header {
    grid-template-columns: 50px auto 50px;
}

.page-settings .header i .fa-cog {
    margin-right: 10px;
}

.page-settings .settings-body {
    overflow-y: auto;
}

.page-settings .settings-body .row1 {
    display: grid;
    width: 100%;
    grid-template-columns: 40px auto 150px;
    align-items: center;
    height: 60px;
    border-bottom: 1px solid #eee;
    padding: 0 10px;
}

.page-settings .settings-body .row1 div {
    display: flex;
    align-items: center;
}

.page-settings .settings-body select {
    width: 100%;
    font-size: 16px;
    padding: 10px;
    border: 1px solid #ddd;
    background-color: #eee;
    border-radius: 10px;
}

.page-settings .settings-body i {
    font-size: 1.5rem;
}

.page-settings .settings-body .row2 {
    display: grid;
    width: 100%;
    grid-template-columns: 40px auto 60px;
    align-items: center;
    height: 60px;
    border-bottom: 1px solid #eee;
    padding: 0 10px;
}


/* PHOTOS PAGE  */

.page-photos {
    display: grid;
    grid-template-rows: 60px auto;
    opacity: 0;
    transition: opacity 1s ease;
}

.page-photos .header {
    grid-template-columns: 50px auto 50px;
}
.page-photos .header i .fa-camera {
    margin-right: 10px;
}



/* LOBIBOX */

.lobibox.lobibox-info .lobibox-header,
.lobibox.lobibox-info .lobibox-footer {
    color: white;
    background-color: cadetblue;
}

.lobibox.lobibox-info {
    border-radius: 1rem;
}

.lobibox.lobibox-info .lobibox-header {
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
    padding: 10px;
}

.lobibox.lobibox-info .lobibox-footer {
    border-bottom-left-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
}

.lobibox.lobibox-info .lobibox-body .lobibox-body-text-wrapper {
    display: table-cell;
    vertical-align: top;
    width: 100%;
    padding-left: 0;
}

.lobibox.lobibox-info .lobibox-btn.lobibox-btn-white {
    color: black !important;
    background-color: white !important;
    border-color: lightgray !important;
    border-radius: 10px !important;
    box-shadow: 1px 1px 1px grey !important; 
    transition: all 0.3s ease !important;
}

.lobibox.lobibox-info .lobibox-btn.lobibox-btn-white:hover {
    box-shadow: none !important;
    transition: all 0.3s ease !important;
    background-color: white !important;
    color: black !important;
}

.lobibox.lobibox-info .lobibox-header .btn-close:hover {
    background-color: lightgrey;
}


/* Egyéb .js-ben generált */

.online-menu-holder {
    display: block;
}

.online-menu-holder div {
    margin: 1rem auto;
    width: 90%;
}

.online-menu-holder div button {
    width: 100%;
}


/* LOGIN PAGE */

.page-login {
    display: grid;
    grid-template-rows: 60px auto;
}

.login-body {
    margin-top: 10px;
}

.page-login .header {
    grid-template-columns: 60px auto 60px;
}

.page-login .header .login-logo img {
    width: 50px;
    height: 50px;
}

.page-login .header .login-logo {
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-body form {
    width: 90%;
    max-width: 500px;
    margin: 10px auto;
}

.login-input-holder {
    display: grid;
    grid-template-columns: 30px auto;
    width: 100%;
    height: 50px;
    align-items: center;
    background-color: #ddd;
    padding: 0 10px;
    border-radius: 10px;
    margin-top: 5px;
}
.input-div {
    display: flex;
    align-items: center;
}

.login-input-holder input {
    width: 100%;
    background-color: transparent !important;
    outline: none;
    border: none;
    /* padding: 5px; */
    color: black !important;
    font-size: 1.3rem;
    /* height: 30px; */
}
.login-input-holder i {
    font-size: 1.3rem;
}

.login-row {
    margin-top: 10px;
}

.login-row label {
    font-weight: 600;
    font-size: 1.2rem;
}

.login-expired-holder {
    display: grid;
    grid-template-columns: 70px auto;
    width: 100%;
    align-items: center;
    margin: 10px 0;
}

.login-button-holder {
    display: flex;
    justify-content: center;
    margin-top: 2rem;
}

.login-button-holder button {
    max-width: 300px;
    padding: 10px 30px;
    background-color: #ddd;
    font-size: 1.6rem;
    border-radius: 10px;
    border: 2px solid #666;
    color: #000;
}
.login-button-holder button i {
    margin-right: 20px;
}

.login-footer {
    padding: 10px;
    text-align: center;
}

.login-footer i {
    margin-right: 10px;
}

/* LEFT MENU */

.top_menu { 
    display: block;
    position: fixed;
    z-index: 2000;
    background-color: var(--header-bg-color);
    width: 80%;
    padding: 10px;
    top: 59px;
    left: -100%;
    max-height: calc(100dvh - 59px);
    overflow-y: auto;
    transition: all 300ms ease-in-out;
    border-top: 1px solid #888;
    border-bottom-right-radius: 10px;
    box-shadow: 0px 5px 10px gray;
}

.top_menu ul li {
    display: flex;
    align-items: center;
    height: 46px;
    margin-top: 10px;
    background-color: #f6f6f6;
    border: 1px solid #ddd;
    border-radius: 10px;
    text-shadow: 0 1px 0 #f3f3f3;
    padding: 0 10px;
    white-space: nowrap;
    text-transform: capitalize;
}

.top_menu ul li i {
    margin-right: 10px;
}

.top_menu-logout {
    display: none;
    color: white;
    text-align: center;
    padding-top: 30px;
}

.top_menu-logout-name {
    margin: 2rem 0;
}

.top_menu-logout-name label {
    font-size: 1.4rem;
    color: orange;
}
.top_menu_username {
    color: #eee;
    font-size: 1.2rem;
    white-space: nowrap;
    font-weight: 600;
    text-shadow: 2px 2px 2px #555;
}
.top_menu_flottaname {
    color: white;
    font-size: 1rem;
    white-space: nowrap;
    font-weight: 500;
}
.top_menu_footer {
    text-align: center;
    text-shadow: 0 1px 0 #444;
    color: white;
    line-height: 1.3rem;
    font-weight: 600;
    text-decoration: none;
    margin-top: 1rem;
    font-size: 90%;
}
.top_menu_footer a {
    text-decoration: none;
    color: white;
}
/* SHARING FORM */
.c-sharing-dlg {
    display: block;
    background-color: white;
    padding: 10px;
    font-size: 90%;
}



/* HISTORY */

.c-history-marker {
    width: 40px;
    height: 40px;
    position: absolute;
    top: -20px;
    left: -20px;
}

.c-history-dlg {
    display: block;
    background-color: white;
    padding: 10px;
    
    font-size: 90%;
}
.c-history-row {
    display: grid;
    grid-template-columns: 130px auto;
    align-items: center;
    width: 100%;
    margin-top: 1rem;
    justify-content: space-between;
}
.c-history-label {
    font-weight: 600;

}

.c-history-dlg {
    input, select {  
        max-width: 180px;
        width: 180px;
        padding: 5px;
        outline: none;
        border: 1px solid lightskyblue;
        border-radius: 6px;
        font-size: 100%;
        color: black;
    }
}


/* HISTORY infoView ablakok */
.online_bubble_box {
    text-align: left;
    color: cadetblue;
    overflow: hidden;
}
.gm-style-iw-d {
    overflow: hidden !important;

}
.gm-style .gm-style-iw-c {
    padding: 12px !important;
    max-width: 90vw !important;
}
.iw-body {
    color: black;
    overflow: hidden;
    
}
.iw-body>div {
     margin-top:5px;
}
.iw-header {
    display: grid;
    grid-template-columns: 50px auto;
    align-items: center;
   
}
.iw-header span {
    font-size:1.3em; 
    font-weight: bold;
    text-decoration: underline;
    
}
.iw-header div {
    display: flex;
    align-items: center;
}
.iw-header .fa-route {
    color:orange;
    margin-right:10px;
    font-size:2rem;
}
.iw-label {
    font-size: 1.2rem;
    font-weight: 500;
}
.iw-rows {
    width: 100%;
    display: grid;
    grid-template-columns: auto 5px auto;
    
    align-items: start;
    justify-content: space-between;
}




.iw-rows div:first-child {
    font-weight: 600;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.iw-rows div:last-child {
    font-weight: 400;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    text-align: right;
}


.iw-rows .fa-gas-pump {
    margin-right: 5px;
}
.iw-rows-double {
    display: grid;
    grid-template-columns: 180px 150px 95px auto;
    align-items: center;
}
.iw-rows-double div:first-child {
    font-weight: bold;
}

.iw-stop-comment {
    border-top: 1px solid;
}
#id_max_speed_row {
    color: red;
    cursor: pointer;
}
#iw-park-numbers {
    display: flex;
    border-radius: 50%;
    background-color: cadetblue;
    color: white;
    width: 30px;
    height: 30px;
    text-align: center;
    justify-content: center;
    align-items: center;
}
.iw-park-info {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
/* CONTECT MENU */

.context-menu {
    position: absolute;
    display: none;
    z-index: 3000;
    margin: 0 auto;
    width: 300px;
    left: calc((100dvw - 300px) / 2);
    top: calc((100dvh - 340px) / 2);
    background-color: cadetblue;
    padding: 0 10px;
    opacity: 0;
    border-radius: 10px;
    box-shadow: 1px 1px 10px 2px gray;
}


.context-menu-header {
    background-color: cadetblue;
    display: grid;
    grid-template-columns: 35px auto 30px;
    text-wrap: nowrap;
    align-items: center;
    padding: 10px 0;
    color: white;
    font-size: 2rem;
    justify-content: normal;
}

.context-menu-header-logo {
    display: flex;
    align-items: center;
    margin-right: 5px;
}

.context-menu-row {
    
    display: flex;
    align-items: center;
    height: 46px;
    margin-bottom: 10px;
    background-color: #f6f6f6;
    border: 1px solid #ddd;
    border-radius: 10px;
    text-shadow: 0 1px 0 #f3f3f3;
    padding: 0 10px;
    white-space: nowrap;
    
}

.context-menu-row i {
    margin-right: 10px;
}

/* TESZT MARKERS */
.marker-ping-holder {
    transform: translate(0%, 50px);
    width: 100px;
    height: 100px;
}

.markers-holder-stop {
    
    transform: translate(0%, 15px);
    display: grid;
    grid-template-rows: 30px auto;
    align-items: center;
}
.markers-holder-move {
    
    transform: translate(0%, 30px);
    display: grid;
    grid-template-rows: 20px auto;
    align-items: center;
}

.markers-holder-move-speed {
    
    transform: translate(0%, 30px);
    display: grid;
    grid-template-rows: 40px auto;
    align-items: center;
}
.c-marker-label-speed {
    font-size: 0.8rem;
    color: #ddd;
}




.markers-icon {
    height: 30px;
    width: 100%;
    margin: 0 auto;
    font-size: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    i {
        
        /* text-shadow: 0px 0px 3px black; */
        
    }
}



.markers-arrow {
    height: 60px;
    font-size: 50px;
    text-align: center;
    i {
        /*
        text-shadow: 1px 1px 1px black, 
                    -1px -1px 1px black,
                    -1px 1px 1px black,
                     1px -1px 1px black;
        */
        text-shadow: 1px 1px 1px white, 
                    -1px -1px 1px white,
                    -1px 1px 1px white,
                     1px -1px 1px white;
        transition: --fa-rotate-angle 300ms ease;
    }
}



.markers-label {
    font-size: 14px;
    color: white;
    background-color: orangered;
    padding: 2px 8px;
    border-radius: 5px;
    margin-bottom: 5px;
    /* border: 1px solid black;  */
    box-shadow: 0 0 0 1px white,
                0 0 0 3px black; 
    letter-spacing: 1px;
    font-weight: bold;
}

/* JBOX */
.c-notify-dark {
    border-radius: 20px;
    background-color: blue;
    color: gold;
}


.jBox-footer {
    background-color: #444 !important;
    color: white !important;
}

.c-geo-zone-w {

}
.c-geo-zone-w-row {
    display: grid;
    grid-template-columns: 100px auto;
    margin-top: 8px;
}
.c-geo-zone-w-row input {
    outline: none;
    border: 1px lightgreen solid;
    border-radius: 5px;
    background-color: rgba(144, 238, 144, 0.12);;
    padding: 5px;
}
.c-geo-zone-w-info {
    text-align: center;
    font-weight: bold;
    text-decoration: underline;
}
.c-geo-zone-w-address {
    text-align: center;
    margin-bottom: 10px;
}
.c-geo-zone-w-coords {
    text-align: center;
    margin-bottom: 10px;
}

#id-geo-zone-w-r {
    width: 70px;
}

.c-geo-zone-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
}
.c-geo-zone-buttons button {
    outline: none;
    color: black;
    background-color: white;
    
    border-radius: 10px !important;
    box-shadow: 1px 1px 1px grey;
    transition: all 0.3s ease !important;

    display: inline-block;
    padding: 8px 14px;
    margin: 0 5px;
    font-size: 14px;
    cursor: pointer;
    border: 1px solid lightgray;
    
    line-height: initial;

}
.c-geo-zone-buttons button:hover {
    box-shadow: unset;
    color: white;
    background-color: #56c080;
}
.c-geo-zone-buttons i {
    margin-right: 5px;
}

/* INVITE DLG */
.c-invite-row {
    display: grid;
    grid-template-columns: 100px auto;
    margin-top: 8px;
}
.c-invite-row input {
    outline: none;
    border: 1px lightgreen solid;
    border-radius: 5px;
    background-color: rgba(144, 238, 144, 0.12);;
    padding: 5px;
    width: 100%;
}


.c-invite-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 2rem;
}
.c-invite-buttons button {
    outline: none;
    color: cadetblue;
    background-color: white;
    
    border-radius: 10px !important;
    box-shadow: 1px 1px 1px grey;
    transition: all 0.3s ease !important;

    display: inline-block;
    padding: 8px 14px;
    margin: 0 5px;
    font-size: 14px;
    cursor: pointer;
    border: 1px solid lightgray;
    
    line-height: initial;
}
.c-invite-buttons button:hover {
    box-shadow: unset;
    color: white;
    background-color: #56c080;
}
.c-invite-buttons i {
    margin-right: 5px;
}
.c-invite-comment {
    margin-top: 1rem;
    font-size: 90%;
    text-align: justify;
    color: #888;
}
.c-invite-status {
    margin-bottom: 1rem;
    font-weight: bold;
}

/* password dlg */
.c-pass-dlg {
    width: 100%;
    display: block;
}
.c-pass-row {
    display: grid;
    grid-template-columns: 150px auto 20px;
    line-height: 2rem;
}
.c-pass-user {
    font-size: 1.3rem;
    color: forestgreen;
    text-decoration: underline;
    line-height: 2rem;
    font-weight: 700;
}
.c-pass-row input {
    outline: none;
    border: 1px solid gray;
    width: 97%;
    height: 1.5rem;
    border-radius: 4px;
    padding: 2px 5px;
    background-color: #90ee903b !important;
}
.c-pass-row div:first-of-type {
    font-weight: 600;
}
.c-pass-comment p {
    margin-top: 10px;
    font-weight: 400;
    color: cadetblue;
}

/*************************************************************/
/* PHOTOS                                                    */
/*************************************************************/

.c-uplod-pictures {
    margin-bottom: 20px;
    display: block;
    margin: 0 auto;
    padding-bottom: 2rem;
}
.c-uplod-pictures  button {
    padding: 5px 10px;

}
.filepond--drop-label {
    color: #4c4e53;
}
.filepond--label-action {
    text-decoration-color: #babdc0;
}
.filepond--panel-root {
    border-radius: 2em;
    background-color: #edf0f4;
    height: 1em;
}
.filepond--item-panel {
    background-color: #595e68;
}
.filepond--drip-blob {
    background-color: #7f8a9a;
}
.pic-box-container {
    display: flex;
    width: 100dvw;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap;
    overflow-y: auto;
    max-height: calc(100dvh - 60px);
}
.pic-box-container form {
    width: 100%;
    margin: 10px;
    text-align: center;
}
.pic-box {
    position: relative;
    display: block;
    /* height: 355px; */
    /* background-color: yellowgreen; */
    margin: 10px;
    border-radius: 4%;
    width: 100%;
}
.pic-box img,
.pic-box embed {
    width: 100%;
    border-radius: 4%;
}

#id-pucture-uploader {
    padding: 6px 15px;
    outline: none;
    border: 1px solid #888;
    border-radius: 5px;
    font-size: 1.1rem;
    display: none;
}
.img-header {
    width: 100%;
    display: block;
    text-align: center;
    margin-top: 1rem;
}
.c-del-button {
    position: absolute;
    bottom: 10px;
    right: 10px;
    width: 30px;
    height: 30px;
    background-color: lightgreen;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    border-radius: 50%;
    border: 1px solid green;
    cursor: pointer;
}
.c-del-button i {
    color: green;
}
.c-del-button:hover {
    background-color: orange;

}
.c-del-button:hover i {
    color: white;
}